<template>
  <label
    for="docente-modal"
    class="btn btn-sm rounded-full btn-secondary text-white text-sm font bold min-w-full"
    v-on:click="alumn_o_apode()"
    >redactar</label
  >

  <!-- modal docente -->
  <input type="checkbox" id="docente-modal" class="modal-toggle min-w-full" />

  <div class="modal container boder min-w-full text-center">
    <div class="modal-box bg-white relative">
      <section id="todos_los_pasos">
        <article id="paso1">
          <div id="barra de avanse" style="margin-top: -15px">
            <div class="badge badge-secondary h-">
              &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
            </div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
          </div>
          <label for="docente-modal" class="btn btn-sm absolute right-2 top-2"
            >✕</label
          >
          <img
            height="200"
            width="200"
            class="centrar"
            alt="mensaje"
            srcset="https://cdn-icons-png.flaticon.com/512/4144/4144781.png"
          />
          <h3 class="text-lg font-bold">Enviar nuevo mensaje</h3>
          <p class="py-4">¿A quién va dirigido?</p>
          <label
            for="aposerado-modal"
            class="btn btn-sm rounded-full btn-secondary text-white text-sm font w-36 bold"
            v-on:click="($data.id = 'paso1'), elegir_Asig_Cur_Apode()"
            >apoderados</label
          >
          &nbsp;
          <label>o</label>
          &nbsp;
          <label
            for="alumno-modal"
            class="btn btn-sm rounded-full btn-secondary text-white text-sm font w-36 bold"
            v-on:click="($data.id = 'paso1'), elegir_Asig_Cur_Alumn()"
            >alumnos</label
          >
        </article>

        <article id="paso2_alumn">
          <div id="barra de avanse" style="margin-top: -15px">
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge badge-secondary">
              &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
            </div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
          </div>
          <label
            for="docente-modal"
            class="btn btn-sm absolute right-2 top-2"
            v-on:click="($data.id = 'paso2_alumn'), alumn_o_apode()"
            >✕</label
          >
          <label
            class="btn btn-sm absolute left-2 top-2"
            v-on:click="($data.id = 'paso2_alumn'), alumn_o_apode()"
            ><img
              src="https://cdn-icons-png.flaticon.com/128/566/566098.png"
              alt="back"
              class="w-4 h-4"
          /></label>
          <h3 class="text-lg font-bold">Nuevo mensaje - Alumnos</h3>
          <br />
          <br />
          <form name="filtro_alumno">
            <!--
                                    <p class="py-5 ">asignatura</p>
                                    <select name="asignatura" class="select select-secondary w-full max-w-xs"> 
                                        <option value="no">seleccionar una opcion...</option>  
                                        <option v-for="asignatura in asignaturas" :key="asignatura.asigId">{{asignatura.tipoAsignatura}}</option>
                                    </select>
                                -->
            <p class="py-5">curso</p>
            <select
              name="curso"
              class="select select-secondary w-full max-w-xs"
            >
              <option value="no">seleccionar una opcion...</option>
              <option v-for="curso in cursos" :key="curso">
                {{ curso.nombre }}
              </option>
            </select>
          </form>
          <br /><br /><br /><br /><br />
          <label
            for="aposerado-modal"
            class="btn btn-sm rounded-full btn-secondary text-white text-sm font w-36 bold"
            v-on:click="
              ($data.id = 'paso2_alumn'), elegir_destinatarrio_alumn()
            "
            >Continuar</label
          >
        </article>

        <article id="paso3_alumn">
          <div id="barra de avanse" style="margin-top: -15px">
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge badge-secondary">
              &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
            </div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
          </div>
          <label
            for="docente-modal"
            class="btn btn-sm absolute right-2 top-2"
            v-on:click="($data.id = 'paso3_alumn'), alumn_o_apode()"
            >✕</label
          >
          <label
            class="btn btn-sm absolute left-2 top-2"
            v-on:click="($data.id = 'paso3_alumn'), elegir_Asig_Cur_Alumn()"
            ><img
              src="https://cdn-icons-png.flaticon.com/128/566/566098.png"
              alt="back"
              class="w-4 h-4"
          /></label>
          <h3 class="text-lg font-bold mt-2">Nuevo mensaje - Alumnos</h3>
          <div class="badge filtro" v-if="this.$data.cursoFiltro != 'no'">
            {{ this.$data.cursoFiltro }}
          </div>
          <div class="badge filtro" v-if="this.$data.asignaturaFiltro != 'no'">
            {{ this.$data.asignaturaFiltro }}
          </div>
          <br /><br />
          <div name="remitentes" class="w-72 h-56 centrar">
            <div class="form-control">
              <!--<label class="cursor-pointer label w-56">
                                           <input type="checkbox" id="marcaTodo" class="check_todos checkbox checkbox-sm checkbox-secondary pr-1" v-on:click=""/>  
                                            <p class="mr-8">seleccionar todos</p> 
                                        </label>-->
              <br />
              <div
                class="receptores w-auto max-h-48 min-h-48 scroll scroll-mx-0"
                style="height: 200px"
              >
                <label
                  class="flex flex-initial m-1"
                  v-for="alumno in alumnos_filtrados"
                  :key="alumno.usuId"
                  :v-if="!eligioATodosAlumno"
                >
                  <input
                    type="checkbox"
                    name="remitentesAlumnos"
                    class="checkbox checkbox-sm checkbox-secondary mt-1"
                    :value="alumno.usuId"
                    v-model="seleccionados"
                  />
                  <img
                    class="w-7 h-7 rounded-full ml-4 mr-2"
                    src="https://www.meme-arsenal.com/memes/b6a18f0ffd345b22cd219ef0e73ea5fe.jpg"
                    alt="ususario"
                  />
                  <p>{{ alumno.nombre }}</p>
                </label>
              </div>
            </div>
          </div>

          <br />
          <label
            for="aposerado-modal"
            class="btn btn-sm rounded-full btn-secondary text-white text-sm font w-36 bold"
            v-on:click="($data.id = 'paso3_alumn'), enviar_mensaje_alumn()"
            >continuar</label
          >
        </article>

        <article id="paso4_alumn">
          <div id="barra de avanse" style="margin-top: -15px">
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge badge-secondary">
              &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
            </div>
          </div>
          <label
            for="docente-modal"
            class="btn btn-sm absolute right-2 top-2"
            v-on:click="($data.id = 'paso4_alumn'), alumn_o_apode()"
            >✕</label
          >
          <label
            class="btn btn-sm absolute left-2 top-2"
            v-on:click="
              ($data.id = 'paso4_alumn'), elegir_destinatarrio_alumn()
            "
            ><img
              src="https://cdn-icons-png.flaticon.com/128/566/566098.png"
              alt="back"
              class="w-4 h-4"
          /></label>
          <h3 class="text-lg font-bold m-2">Nuevo mensaje - Alumnos</h3>
          <textarea
            class="textarea textarea-primary w-64 h-64 max-h-64"
            value
            v-model="cuerpoMensaje"
            placeholder="Escribir mensaje...."
          ></textarea
          ><br />

          <label
            for="aposerado-modal"
            class="btn btn-sm rounded-full btn-secondary text-white text-sm font bold w-36 mt-2"
            v-on:click="($data.id = 'paso4_alumn'), notification()"
            >Enviar</label
          >
        </article>

        <article id="paso2_apode">
          <div id="barra de avanse" style="margin-top: -15px">
            <div class="badge b">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge badge-secondary">
              &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
            </div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
          </div>
          <label
            for="docente-modal"
            class="btn btn-sm absolute right-2 top-2"
            v-on:click="($data.id = 'paso2_apode'), alumn_o_apode()"
            >✕</label
          >
          <label
            class="btn btn-sm absolute left-2 top-2"
            v-on:click="($data.id = 'paso2_apode'), alumn_o_apode()"
            ><img
              src="https://cdn-icons-png.flaticon.com/128/566/566098.png"
              alt="back"
              class="w-4 h-4"
          /></label>
          <h3 class="text-lg font-bold">Nuevo mensaje - Apoderdo</h3>
          <br />
          <br />
          <form name="filtro_apoderado">
            <!--
                                    <p class="py-5 ">asignatura</p>
                                    <select name="asignatura" class="select select-secondary w-full max-w-xs"> 
                                        <option value="no">seleccionar una opcion...</option>  
                                        <option v-for="(asignatura) in asignaturas" value:key="asignatura.asigId">{{asignatura.tipoAsignatura}}</option>
                                    </select>
                                -->
            <p class="py-5">curso</p>

            <select
              name="curso"
              class="select select-secondary w-full max-w-xs"
            >
              <option value="no">seleccionar una opcion...</option>
              <option v-for="curso in cursos" :key="curso.cursoId">
                {{ curso.nombre }}
              </option>
            </select>
          </form>

          <br /><br /><br /><br /><br />
          <label
            for="aposerado-modal"
            class="btn btn-sm rounded-full btn-secondary text-white text-sm font w-36 bold"
            v-on:click="
              ($data.id = 'paso2_apode'), elegir_destinatarrio_apode()
            "
            >Continuar</label
          >
        </article>

        <article id="paso3_apode">
          <div id="barra de avanse" style="margin-top: -15px">
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge badge-secondary">
              &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
            </div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
          </div>
          <label
            for="docente-modal"
            class="btn btn-sm absolute right-2 top-2"
            v-on:click="($data.id = 'paso3_apode'), alumn_o_apode()"
            >✕</label
          >
          <label
            class="btn btn-sm absolute left-2 top-2"
            v-on:click="($data.id = 'paso3_apode'), elegir_Asig_Cur_Apode()"
            ><img
              src="https://cdn-icons-png.flaticon.com/128/566/566098.png"
              alt="back"
              class="w-4 h-4"
          /></label>

          <h3 class="text-lg font-bold mt-2">Nuevo mensaje - Apoderado</h3>
          <div class="badge filtro" v-if="this.$data.cursoFiltro != 'no'">
            {{ this.$data.cursoFiltro }}
          </div>
          <div class="badge filtro" v-if="this.$data.asignaturaFiltro != 'no'">
            {{ this.$data.asignaturaFiltro }}
          </div>
          <br /><br />

          <div name="remitententesElegidos" class="w-72 h-56 centrar">
            <div class="form-control">
              <!--<label class="cursor-pointer label w-56"> <br>
                                            <input type="checkbox" class="checkbox checkbox-sm checkbox-secondary pr-1"  value="todos"/>
                                            <p class="mr-8">seleccionar todos</p>
                                        </label>-->
              <br />
              <div
                class="receptores w-auto max-h-48 min-h-48 scroll scroll-mx-0"
                style="height: 200px"
              >
                <label
                  class="flex flex-initial m-1"
                  id="boxCheques"
                  v-for="apoderado in apoderados_filtrados"
                  :key="apoderado.id"
                >
                  <input
                    type="checkbox"
                    class="checkbox checkbox-sm checkbox-secondary mt-1"
                    :value="apoderado.id"
                    v-model="seleccionados"
                  />
                  <img
                    class="w-7 h-7 rounded-full ml-4 mr-2"
                    src="https://www.meme-arsenal.com/memes/b6a18f0ffd345b22cd219ef0e73ea5fe.jpg"
                    alt="ususario"
                  />
                  <p>{{ apoderado.nombre }}</p>
                </label>
              </div>
            </div>
          </div>
          <br />
          <label
            for="aposerado-modal"
            class="btn btn-sm rounded-full btn-secondary text-white text-sm font w-36 bold"
            v-on:click="($data.id = 'paso3_apode'), enviar_mensaje_apode()"
            >Continuar</label
          >
        </article>

        <article id="paso4_apode">
          <div id="barra de avanse" style="margin-top: -15px">
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</div>
            <div class="badge badge-secondary">
              &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
            </div>
          </div>
          <label
            for="docente-modal"
            class="btn btn-sm absolute right-2 top-2"
            v-on:click="($data.id = 'paso4_apode'), alumn_o_apode()"
            >✕</label
          >
          <label
            class="btn btn-sm absolute left-2 top-2"
            v-on:click="
              ($data.id = 'paso4_apode'), elegir_destinatarrio_apode()
            "
            ><img
              src="https://cdn-icons-png.flaticon.com/128/566/566098.png"
              alt="back"
              class="w-4 h-4"
          /></label>
          <h3 class="text-lg font-bold m-2">Nuevo mensaje - Apoderados</h3>
          <textarea
            class="textarea textarea-primary w-64 h-64 max-h-64"
            value
            v-model="cuerpoMensaje"
            placeholder="Escribir mensaje...."
          ></textarea
          ><br />

          <label
            for="aposerado-modal"
            class="btn btn-sm rounded-full btn-secondary text-white text-sm font bold w-36 mt-2"
            v-on:click="($data.id = 'paso4_apode'), notification()"
            >Enviar</label
          >
        </article>

        <article id="paso_final">
          <label
            for="docente-modal"
            class="btn btn-sm absolute right-2 top-2"
            v-on:click="($data.id = 'paso_final'), alumn_o_apode()"
            >✕</label
          >
          <img
            height="130"
            class="centrar"
            alt="notificacion"
            srcset="https://i.postimg.cc/DzdVpXSs/image-12.png"
          />
          <h3 class="text-lg font-bold">¡Mensaje enviado con éxito!</h3>
          <label
            for="docente-modal"
            class="btn btn-sm adsolute btn-secondary text-white text-sm font w-36 rounded-full bold mt-2"
            v-on:click="($data.id = 'paso_final'), alumn_o_apode(), recargar()"
            >cerrar</label
          >
        </article>
      </section>
    </div>
  </div>

  <!-- modal docente-->
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      asignaturas: [],
      cursos: [],
      apoderados: [],
      alumnos: [],
      apoderados_filtrados: [],
      alumnos_filtrados: [],
      cursoFiltro: "no",
      asignaturaFiltro: "no",
      eligioATodosAlumno: false,
      eligioATodosApoderado: false,
      seleccionados: [],
      cuerpoMensaje: "",
    };
  },
  props: {
    usuario: null,
  },
  async mounted() {
    await axios
      .get(
        "/administracionCursos/cursosAsociadosDocente/" + this.usuario.usuId,
        {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        }
      )
      .then((response) => {
        this.$data.cursos = this.filtrarCurso(response.data);
        response.data.forEach((curso) => {
          this.$data.asignaturas = this.$data.asignaturas.concat(
            curso.asignaturas
          );
        });
        this.$data.asignaturas = this.filtrarAsign(this.$data.asignaturas);
      })
      .catch((error) => {
        console.log(error);
      });
    this.$data.cursos.forEach((curso) => {
      this.$data.alumnos = this.$data.alumnos.concat(
        this.obtenerAlunmnosCurso(curso.cursoId)
      );
    });
    this.$data.alumnos = this.filtrarUsuario(this.$data.alumnos);

    this.cursos.forEach((curso) => {
      this.$data.alumnos = this.$data.alumnos.concat(curso.alumnos);
    });

    this.$data.alumnos.forEach((alumno) => {
      this.obtenerApoderado(alumno.apoderado);
    });
  },
  methods: {
    setId(id) {
      this.$data.id = id;
    },
    ocultar() {
      try {
        document.getElementById(this.$data.id).style.display = "none";
      } catch (error) {
        console.log(error);
      }
    },
    alumn_o_apode() {
      document.getElementById("paso1").style.display = "block";
      this.$data.alumnos_filtrados = [];
      this.$data.apoderados_filtrados = [];
      this.$data.asignaturaFiltro = "no";
      this.$data.cursoFiltro = "no";
      this.$data.seleccionados = [];
      this.ocultar();
    },
    elegir_Asig_Cur_Alumn() {
      document.getElementById("paso2_alumn").style.display = "block";
      this.ocultar();
    },
    elegir_destinatarrio_alumn() {
      //this.$data.asignaturaFiltro=document.filtro_alumno.asignatura[document.filtro_alumno.asignatura.selectedIndex].value;
      this.$data.cursoFiltro =
        document.filtro_alumno.curso[
          document.filtro_alumno.curso.selectedIndex
        ].value;

      if (this.cursoFiltro != "no") {
        this.$data.cursos.forEach((curso) => {
          if (curso.nombre == this.cursoFiltro) {
            this.$data.alumnos_filtrados = curso.alumnos;
            this.$data.alumnos_filtrados = this.filtrarUsuario(
              this.$data.alumnos_filtrados
            );
          }
        });
      }

      if (
        this.$data.asignaturaFiltro == "no" &&
        this.$data.cursoFiltro == "no"
      ) {
        console.log("no y no");
        this.$data.alumnos_filtrados = this.$data.alumnos;
      }

      document.getElementById("paso3_alumn").style.display = "block";
      this.ocultar();
    },
    enviar_mensaje_alumn() {
      document.getElementById("paso4_alumn").style.display = "block";
      this.ocultar();
    },
    elegir_Asig_Cur_Apode() {
      document.getElementById("paso2_apode").style.display = "block";
      this.ocultar();
    },
    elegir_destinatarrio_apode() {
      this.$data.apoderados = this.filtrarUsuarioApoderado(
        this.$data.apoderados
      );

      // this.$data.asignaturaFiltro=document.filtro_apoderado.asignatura[document.filtro_apoderado.asignatura.selectedIndex].value;
      this.$data.cursoFiltro =
        document.filtro_apoderado.curso[
          document.filtro_apoderado.curso.selectedIndex
        ].value;
      this.$data.apoderados_filtrados = [];
      if (this.cursoFiltro != "no") {
        this.$data.cursos.forEach((curso) => {
          if (curso.nombre == this.cursoFiltro) {
            this.$data.alumnos_filtrados = curso.alumnos;
          }
        });
        this.$data.alumnos_filtrados = this.filtrarUsuario(
          this.$data.alumnos_filtrados
        );
        this.$data.alumnos_filtrados.forEach((alumno) => {
          this.$data.apoderados.forEach((apoderado) => {
            if (alumno.apoderado == apoderado.id) {
              this.$data.apoderados_filtrados.push(apoderado);
            }
          });
        });
        this.$data.apoderados_filtrados = this.filtrarUsuarioApoderado(
          this.$data.apoderados_filtrados
        );
      }
      if (
        this.$data.asignaturaFiltro == "no" &&
        this.$data.cursoFiltro == "no"
      ) {
        console.log("no y no");
        this.$data.alumnos_filtrados = this.$data.alumnos;
        this.$data.apoderados_filtrados = this.$data.apoderados;
      }

      document.getElementById("paso3_apode").style.display = "block";

      this.ocultar();
    },
    enviar_mensaje_apode() {
      document.getElementById("paso4_apode").style.display = "block";
      this.ocultar();
    },
    notification() {
      if (this.$data.cuerpoMensaje != "") {
        this.enviarMensajes();
        document.getElementById("paso_final").style.display = "block";
        this.ocultar();
      } else {
        alert(
          "el cuerpo del mensaje esta vacio, \nfavor de redactar el mensaje y luego enviar........"
        );
      }
    },
    async obtenerAlunmnosCurso(id) {
      var arreglo = [];
      await axios
        .get("/administracionCursos/mostrarAlumnos/" + id, {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((response) => {
          arreglo = arreglo.concat(response.data);
        })
        .catch((error) => {
          console.log(error);
        });
      return arreglo;
    },
    async obtenerApoderado(id) {
      var apoderado = {};
      await axios
        .get("/cuentas/usuario/info/" + id, {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        })
        .then((response) => {
          apoderado = response.data;
          this.$data.apoderados = this.$data.apoderados.concat(response.data);
          return apoderado;
        })
        .catch((error) => {
          console.log(error);
        });
    },
    filtrarAsign(myArr) {
      var largo = 0;
      var noRepetidos = [];
      var miArryId = [];
      for (var i = 0; i < myArr.length; i++) {
        miArryId[i] = myArr[i].asigId;
      }

      largo = [...new Set(miArryId)].length;
      miArryId = [...new Set(miArryId)];

      for (let j = 0; j < myArr.length; j++) {
        for (let index = 0; index < miArryId.length; index++) {
          if (miArryId[index] == [myArr[j].asigId]) {
            noRepetidos.push(myArr[j]);
            miArryId[index] = "";
          }
        }
      }
      return noRepetidos;
    },
    filtrarCurso(myArr) {
      var largo = 0;
      var noRepetidos = [];
      var miArryId = [];
      for (var i = 0; i < myArr.length; i++) {
        miArryId[i] = myArr[i].cursoId;
      }

      largo = [...new Set(miArryId)].length;
      miArryId = [...new Set(miArryId)];

      for (let j = 0; j < myArr.length; j++) {
        for (let index = 0; index < miArryId.length; index++) {
          if (miArryId[index] == [myArr[j].cursoId]) {
            noRepetidos.push(myArr[j]);
            miArryId[index] = "";
          }
        }
      }
      return noRepetidos;
    },
    filtrarUsuario(myArr) {
      var largo = 0;
      var noRepetidos = [];
      var miArryId = [];
      for (var i = 0; i < myArr.length; i++) {
        miArryId[i] = myArr[i].usuId;
      }

      largo = [...new Set(miArryId)].length;
      miArryId = [...new Set(miArryId)];

      for (let j = 0; j < myArr.length; j++) {
        for (let index = 0; index < miArryId.length; index++) {
          if (miArryId[index] == [myArr[j].usuId]) {
            noRepetidos.push(myArr[j]);
            miArryId[index] = "";
          }
        }
      }
      return noRepetidos;
    },
    filtrarUsuarioApoderado(myArr) {
      var largo = 0;
      var noRepetidos = [];
      var miArryId = [];
      for (var i = 0; i < myArr.length; i++) {
        miArryId[i] = myArr[i].id;
      }

      largo = [...new Set(miArryId)].length;
      miArryId = [...new Set(miArryId)];

      for (let j = 0; j < myArr.length; j++) {
        for (let index = 0; index < miArryId.length; index++) {
          if (miArryId[index] == [myArr[j].id]) {
            noRepetidos.push(myArr[j]);
            miArryId[index] = "";
          }
        }
      }
      return noRepetidos;
    },
    recargar() {
      location.reload();
    },
    enviarMensajes() {
      this.$data.seleccionados.forEach((selecionado) => {
        console.log(selecionado);
        this.enviarMensaje(selecionado);
      });
    },
    async enviarMensaje(selecionado) {
      console.log(this.usuario.usuId);
      console.log(this.$data.cuerpoMensaje);
      // estos son los valores mas o menos this.$data.cuerpoMensaje - this.usuario.usuId - this.$data.docenteElegido
      var emisor = this.usuario.usuId; //estas son solo las id guardadas de los mismos
      var cuerpo = this.$data.cuerpoMensaje;
      axios
        .post(
          "mensaje/nuevoMensaje?cuerpo=" +
            cuerpo +
            "&emisor=" +
            emisor +
            "&receptor=" +
            selecionado,
          this.form,
          {
            headers: {
              Authorization: localStorage.getItem("auth"),
            },
          }
        )
        .then((response2) => {})
        .catch((error) => {
          console.log(error);
        });
    },
  },
  computed: {},
};
</script>

<style scoped>
.scrollbar::-webkit-scrollbar {
  width: 15px;
  height: 20px;
}

.scrollbar::-webkit-scrollbar-track {
  border-radius: 100vh;
  background: white;
}

.scrollbar::-webkit-scrollbar-thumb {
  background: #a181e2;
  border-radius: 100vh;
  border: 3px solid white;
}

.scrollbar::-webkit-scrollbar-thumb:hover {
  background: #8565c5;
}

.centrar {
  margin: auto;
  display: block;
}

article {
  display: none;
}
.badge {
  height: 7px;
}

.badge.filtro {
  height: 20px;
  background-color: rgb(173, 173, 173);
  border-radius: 5px;
}

.receptores {
  border-top-width: 2px;
  border-top-color: rgb(124 58 237);
  background-color: white;
}

.scroll {
  overflow-y: scroll;
  scroll-margin-top: 1px;
  scroll-margin-bottom: 1px;
}
</style>
